## php.java.bridge
Class IllegalArgumentException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      php.java.bridge.IllegalArgumentException

All Implemented Interfaces:
  java.io.Serializable

    public class IllegalArgumentException

extends java.lang.IllegalArgumentException

See Also:
  Serialized Form

Constructor Summary
`IllegalArgumentException(java.lang.String string)`
`IllegalArgumentException(java.lang.String string, java.lang.Exception e)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalArgumentException

    public IllegalArgumentException(java.lang.String string,
                                    java.lang.Exception e)

### IllegalArgumentException

    public IllegalArgumentException(java.lang.String string)